## nasm 2.15.04

=== debian/changelog ===
nasm (2.15.04-1) unstable; urgency=medium

  * New upstream release
  * d/patches: Rebase patches for nasm-2.15.04
  * d/control: Update Jordan's email address
  * d/control: Use debhelper-compat and bump to 13

 -- Jordan Justen <jljusten@debian.org>  Fri, 21 Aug 2020 10:51:35 -0700

nasm (2.15.02-1) unstable; urgency=medium

  * New upstream release
  * d/control: Update standards version to 4.5.0.2
  * d/rules: run ./autogen.sh to avoid autoreconf error with messages like the
    one below:
    configure.ac:1: error: possibly undefined macro: dnl

 -- Anibal Monsalve Salazar <anibal@debian.org>  Fri, 03 Jul 2020 17:10:10 -0500
