=== debian/changelog ===
nasm (2.15.05-1) unstable; urgency=medium

  * New upstream release (Closes: #969011)
  * d/patches: Rebase patches for 2.15.05
  * d/nasm.lintian-overrides: Override error for test source files
  * d/nasm.lintian-overrides: Override error for pre-built test binaries

 -- Jordan Justen <jljusten@debian.org>  Wed, 23 Sep 2020 12:08:16 -0700
