=== debian/rules ===
#! /usr/bin/make -f

#export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

CFLAGS += $(CPPFLAGS)

%:
	dh $@

override_dh_autoreconf:
	dh_autoreconf ./autogen.sh

override_dh_auto_build:
	dh_auto_build
	$(MAKE) doc

# empty override, fills example directory with lots of files
override_dh_auto_test:

override_dh_auto_install:
	dh_auto_install -- install_rdf
