## nasm 2.16.01

=== debian/changelog ===
nasm (2.16.01-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 24 Apr 2023 15:24:00 -0700

nasm (2.16.01-1) unstable; urgency=medium

  * New upstream release
  * d/patches: Rebase patches for 2.16.01
  * d/rules: No longer use install_rdf
  * d/control: Update Standards-Version to 4.6.1.0
  * d/source/lintian-overrides: Update override format for current lintian
  * d/watch: Set version to 4

 -- Jordan Justen <jljusten@debian.org>  Fri, 30 Dec 2022 13:55:58 -0800
