## nasm 2.16.03

=== debian/changelog ===
nasm (2.16.03-1) unstable; urgency=medium

  * New upstream release
  * d/control: Update Standards-Version to 4.7.0
  * debian/*: Run wrap-and-sort
  * d/control: Set Jordan as Maintainer, Aníbal as Uploader
  * d/control: Update license in package description. (Closes: #942616)
  * d/control: Drop dpkg, install-info dependencies. (Closes: #1013828)
  * d/source/lintian-overrides: Drop lintian override no longer being flagged

 -- Jordan Justen <jljusten@debian.org>  Fri, 09 Aug 2024 02:03:16 -0700
