=== debian/control ===
Source: nasm
Section: devel
Priority: optional
Maintainer: Jordan Justen <jljusten@debian.org>
Uploaders: Aníbal Monsalve Salazar <anibal@debian.org>
Standards-Version: 4.7.0
Build-Depends: debhelper-compat (= 13),
               fontconfig,
               fonts-liberation2,
               ghostscript,
               libfont-ttf-perl,
               libsort-versions-perl,
               texinfo
Homepage: http://www.nasm.us/
Vcs-Git: https://salsa.debian.org/debian/nasm.git
Vcs-Browser: https://salsa.debian.org/debian/nasm

Package: nasm
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: General-purpose x86 assembler
 Netwide Assembler.  NASM will currently output flat-form binary files,
 a.out, COFF and ELF Unix object files, and Microsoft 16-bit DOS and
 Win32 object files.
 .
 Also included is NDISASM, a prototype x86 binary-file disassembler
 which uses the same instruction table as NASM.
 .
 NASM is released under the 2-clause BSD license.
