=== debian/rules ===
--- 
+++ 
@@ -20,6 +20,3 @@
 
 # empty override, fills example directory with lots of files
 override_dh_auto_test:
-
-override_dh_auto_install:
-	dh_auto_install -- install_rdf
