## nasm 3.01

=== debian/changelog ===
nasm (3.01-1) unstable; urgency=medium

  [ Jordan Justen ]
  * New upstream release
  * d/patches: Rebase on nasm-3.01
  * d/patches: Add patch to fix doc build
  * d/copyright: Add zlib license for bundled zlib
  * d/copyright: Update formatting of package copyright file
  * d/control: Drop font packages
  * d/control: Standards-Version: 4.7.0 => 4.7.2

  [ Helmut Grohne ]
  * Mark nasm Multi-Arch: foreign. (Closes: #1058695)
  * debian: Don't build documentation. Not shipped anymore. (Closes: #870152)

 -- Jordan Justen <jljusten@debian.org>  Thu, 16 Oct 2025 16:18:27 -0700
