=== debian/rules ===
--- 
+++ 
@@ -14,9 +14,5 @@
 override_dh_autoreconf:
 	dh_autoreconf ./autogen.sh
 
-override_dh_auto_build:
-	dh_auto_build
-	$(MAKE) doc
-
 # empty override, fills example directory with lots of files
 override_dh_auto_test:
