=== debian/watch ===
version=4
https://www.nasm.us/pub/nasm/releasebuilds/([\d\.]+)/nasm-([\d\.]+).tar.xz
